Get Accounts
Gets a list of accounts available to share data from for a customer ID. If any account is a joint account or an organisation account the ‘users’ field must be populated with all related users of the energy account e.g. joint account holders, secondary users, or nominated representatives. This is used to populate the list of accounts available to share data from during consent.
Note: This API has been deprecated. New integrations should implement the Auth - Customer Accounts API instead.
Authorizations
The Fiskil Data Provider will include a self-signed JWT as a Bearer token in the Authorization header.
You should verify this JWT using the JWKS URL you can find for your Data Provider instance in the Fiskil
Console. To verify the JWT you must:
- Verify the signature
- Ensure the token has not expired by checking the
expclaim - The
subandissclaims are your data provider subdomain - The
audclaim is the URI of the resource being requested (excluding any query parameters) - The
jtivalue is unique For further detail on security and authentication refer to our Authentication documentation
Path Parameters
Unique ID of a customer. This ID must not change for the lifecycle of the customer
Query Parameters
Used to filter results on the productCategory field applicable to accounts. Any one of the valid values for this field can be supplied. If absent then all accounts returned.)
BUSINESS_LOANS, CRED_AND_CHRG_CARDS, LEASES, MARGIN_LOANS, OVERDRAFTS, PERS_LOANS, REGULATED_TRUST_ACCOUNTS, RESIDENTIAL_MORTGAGES, TERM_DEPOSITS, TRADE_FINANCE, TRANS_AND_SAVINGS_ACCOUNTS, TRAVEL_CARDS Used to filter results according to open/closed status. Values can be OPEN, CLOSED or ALL. If absent then ALL is assumed
ALL, CLOSED, OPEN Filters accounts based on whether they are owned by the authorised customer. True for owned accounts, false for unowned accounts and absent for all accounts
Page of results to request (standard pagination)
Page size to request. Default is 25 (standard pagination)
Response
A list of all accounts belonging to the customer
URL Query parameters to obtain different pages of the response. Fiskil will combine these with the rest of the request URL to build full link URLs in the final response.
{
"first": "page=1&page-size=25&oldest-date=2023-04-24",
"last": "page=4&page-size=25&oldest-date=2023-04-24",
"next": "page=3&page-size=25&oldest-date=2023-04-24",
"prev": "page=1&page-size=25&oldest-date=2023-04-24"
}{ "totalRecords": 150, "totalPages": 6 }